<div *ngIf="stationService.currentData.length === 0">
  <div fxLayout="column" fxLayoutGap="10px" fxLayoutAlign="center center">
    <div fxLayout="row" fxLayoutAlign="center center" fxLayoutGap="8px" class="text-white">
      <mat-icon>sentiment_dissatisfied</mat-icon>
      <span>
        {{ 'COMPONENTS.TANKDATEN.NO_DATA' | translate }}
      </span>
    </div>
  </div>
</div>

<ng-template #loading>
  <div fxLayout="column" fxLayoutGap="10px" fxLayoutAlign="center center">
    <div fxLayout="row" class="loading-bar">
      <mat-progress-bar mode="buffer"></mat-progress-bar>
    </div>
    <span class="text-white">{{ 'COMPONENTS.TANKDATEN.SEARCHING' | translate }}</span>
  </div>
</ng-template>

<div *ngIf="!stationService.isLoading; else loading">
  <div fxLayout="row" fxLayoutAlign="end center" *ngIf="stationService.currentData.length !== 0">
    <button type="button" mat-raised-button (click)="enableAndRouteListMode()">
      <mat-icon>list</mat-icon>
      {{ 'COMPONENTS.TANKDATEN.LISTMODE' | translate }}
    </button>
  </div>
  <div fxLayout="column" fxLayoutGap="20px" class="p12A">
    <!-- Favoriten -->
    <div *ngIf="stationService.currentFavorites && stationService.currentFavorites?.length > 0" fxLayout="column" fxLayoutGap="20px" [@fadeInOut]>
      <div class="dark-caption-wrapper" fxLayout="column" fxLayoutAlign="center center">
        <h3 class="cards-caption" fxLayoutAlign="start center">{{ 'COMPONENTS.TANKDATEN.FAVORITES' | translate }}</h3>
      </div>

      <div fxLayout="column" fxLayoutGap="25px" [@fadeInOut]>
        <div fxLayout.gt-xs="row wrap" fxLayout.lt-sm="column" fxLayoutGap="5px grid">
          <app-card
            *ngFor="let favorit of stationService.currentFavorites"
            fxFlex="25"
            fxFlex.lt-md="50"
            fxFlex.lt-sm="100"
            [station]="favorit"
            [currentFuel]="currentFuel"
            [type]="cardType.FAVORIT"
          ></app-card>
        </div>
      </div>
    </div>

    <!-- Übersicht -->
    <div *ngIf="stationService.currentData && stationService.currentData?.length > 0" fxLayout="column" fxLayoutGap="20px" [@fadeInOut]>
      <div class="dark-caption-wrapper" fxLayout="column" fxLayoutAlign="center center">
        <h3 class="cards-caption" fxLayoutAlign="start center">{{ 'COMPONENTS.TANKDATEN.OVERVIEW' | translate }}</h3>
        <small class="text-gray">{{ 'COMPONENTS.TANKDATEN.LASTUPDATE' | translate }}: {{ currentDate | date: 'dd.MM.yyyy, HH:mm:ss' | ReplaceEmpty }} Uhr</small>
      </div>

      <div fxLayout="column" fxLayoutGap="25px" [@fadeInOut]>
        <div fxLayout="row wrap" fxLayout.lt-sm="column" fxLayoutGap="5px grid">
          <app-card *ngFor="let station of stationService.currentData | slice: 0:showStations" fxFlex="25" fxFlex.lt-md="50" fxFlex.xs="100" [station]="station" [currentFuel]="currentFuel"></app-card>
        </div>

        <div fxLayout="row" fxLayoutAlign="space-around center" class="m16T">
          <button
            mat-mini-fab
            class="text-white text-transparent-50 bounce"
            matTooltip="{{ 'COMPONENTS.TANKDATEN.SHOW_LESS' | translate }}"
            [disabled]="showStations === 8"
            (click)="getLessCards()"
            color="primary"
          >
            <mat-icon>expand_less</mat-icon>
          </button>

          <button
            mat-mini-fab
            color="primary"
            class="text-white text-transparent-50 bounce"
            matTooltip="{{ 'COMPONENTS.TANKDATEN.SHOW_MORE' | translate }} ({{ stationService.currentData?.length - showStations }} {{ 'COMPONENTS.TANKDATEN.FURTHER' | translate }})"
            *ngIf="showStations < stationService.currentData?.length"
            (click)="getMoreCards()"
          >
            <mat-icon>expand_more</mat-icon>
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
